Page MenuHomePhabricator

ReadingList does not support MediaWiki API generators
Closed, ResolvedPublic

Description

/w/api.php?action=query&format=json&prop=pageimages&list=&generator=readinglistentries&formatversion=2&piprop=thumbnail&pithumbsize=50&grlelists=210908

Was hoping to be able to pipe readinglistentries into pageimages to generate a list of pages with metadata. Doesn't seem like this is possible.

Are there any plans to support this (at least for lists where the project is the local wiki)?

Details

Related Gerrit Patches:
mediawiki/extensions/ReadingLists : masterFix domain parsing for generator=readinglistentries

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Can you explain the use case for generator usage?

Tgr added a subscriber: Tgr.Jun 10 2018, 9:08 PM

D'oh, I fixed this at the hackathon but forgot to push the patch.

Change 439518 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/ReadingLists@master] Fix domain parsing for generator=readinglistentries

https://gerrit.wikimedia.org/r/439518

@Fjalapeno The generators are used in the mw api for piping the results of a query to a different query. That way you can combine multiple api requests with just one call.

In this case, it would be to get the items on a list, and then pipe that to a new query to get the summaries and the thumbnails, so that the end result of one call has the reading list items with the summaries and images or whatever web needs.

I guess it is kind of what the restbase layer does for those endpoints.

Tgr added a comment.Jun 11 2018, 11:25 AM

Making modules act as generators is little extra effort and should be done whenever appropriate. readinglistentries does act as a generator (otherwise you'd get an error when supplying generator=readinglistentries), I just broke it when switching from en.wikipedia.org style project names to https://en.wikipedia.org style ones.

Change 439518 merged by jenkins-bot:
[mediawiki/extensions/ReadingLists@master] Fix domain parsing for generator=readinglistentries

https://gerrit.wikimedia.org/r/439518

Tgr closed this task as Resolved.Jun 30 2018, 11:12 AM
Tgr claimed this task.
Vvjjkkii renamed this task from ReadingList does not support MediaWiki API generators to lqcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tgr as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from lqcaaaaaaa to ReadingList does not support MediaWiki API generators.Jul 1 2018, 7:02 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Tgr.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.